Incremental Authorization
Use this information to process a lodging incremental authorization. You can add products and services to an existing authorization by using an incremental authorization.
The incremental authorization service has these limitations:
- Maximum of 100 incremental authorizations per transaction, in addition to the initial authorization.
- Interchange optimization is not supported.
Endpoints
PATCH /pts/v2/payments/{id}
PATCH /pts/v2/payments/{id}
The {id} is the transaction ID returned in the original authorization response.
Example
{ "clientReferenceInformation": { "code": "TestCode123", "comments": "Incremental Auth CP", "partner": { "thirdPartyCertificationNumber": "123456789012", "developerId": "AssignedDevID", "solutionId": "AssignedSolutionID" } }, "processingInformation": { "authorizationOptions": { "initiator": { "type": "merchant", "storedCredentialUsed": "true" } } }, "orderInformation": { "amountDetails": { "totalAmount": "100.00", "currency": "USD" } }}{ "_links": { "authReversal": { "method": "POST", "href": "/pts/v2/payments/7334466205036952804953/reversals" }, "self": { "method": "GET", "href": "/pts/v2/payments/7334466205036952804953" }, "capture": { "method": "POST", "href": "/pts/v2/payments/7334466205036952804953/captures" } }, "clientReferenceInformation": { "comments": "Incremental Auth CP", "code": "TestCode123", "partner": { "developerId": "AssignedDevID", "solutionId": "AssignedSolutionID" } }, "id": "7334466205036952804953", "orderInformation": { "amountDetails": { "totalAmount": "600.00", "authorizedAmount": "100.00", "currency": "USD" } }, "paymentInformation": { "accountFeatures": { "category": "A" } }, "processorInformation": { "systemTraceAuditNumber": "023821", "approvalCode": "012921", "transactionId": "304341034201726", "responseCode": "00" }, "reconciliationId": "214", "status": "AUTHORIZED", "submitTimeUtc": "2025-12-06T00:58:10Z"}| Field | Type | Description |
|---|---|---|
clientReferenceInformation.code | ||
clientReferenceInformation.partner.developerId | The value is provided by . | |
clientReferenceInformation.partner.solutionId | The value is provided by . | |
clientReferenceInformation.partner.thirdPartyCertificationNumber | The value is provided by . | |
orderInformation.amountDetails.currency | ||
orderInformation.amountDetails.totalAmount | ||
processingInformation.authorizationOptions.initiator.storedCredentialUsed | Set the value to true. | |
processingInformation.authorizationOptions.initiator.type | Set the value to merchant. |
Visa Platform Connect Required fields
| Field | Type | Description |
|---|---|---|
clientReferenceInformation.comments | Set the value to Incremental Auth CP. |
Incremental Authorization Service Scenario
This sequence is an example of how an incremental authorization can be used:
- The customer reserves a room for two nights at a cost of 200.00 per night. You request an authorization for 400.00. This initial authorization request is approved.
- The customer orders dinner through room service the first night. You request an incremental authorization of 50.00 for the dinner.
- The customer decides to stay an extra night. You request an incremental authorization of 200.00 for the additional night.
- The customer uses items from the mini-bar. The cost of these mini-bar items is 50.00. You request an incremental authorization of 50.00.
- When the customer ends their stay and checks out, they sign a receipt for 700.00, which is the total of all costs incurred.
- You request a capture for 700.00.
Was this page helpful?
Thanks for your feedback!
Last published: September 29, 2026